# -*- encoding: utf-8 -*-
# stub: interactor-contracts 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "interactor-contracts".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/michaelherold/interactor-contracts/issues", "changelog_uri" => "https://github.com/michaelherold/interactor-contracts/blob/master/CHANGELOG.md", "documentation_uri" => "https://www.rubydoc.info/gems/interactor-contracts", "source_code_uri" => "https://github.com/michaelherold/interactor-contracts" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Herold".freeze]
  s.date = "2019-10-10"
  s.description = "Interactors are a pattern for structuring your business logic into units.\nThey have a flexible context that they pass between them, which makes them\neasy-to-write, but hard-to-understand after you've written them. Much of\nthis confusion comes from not knowing what the interactor is supposed to\ntake as input and what it's expected to produce.\n\nEnter contracts. Contracts allow you define, up front, a contract both for\nthe input of an interactor, known as expectations, and the output of it,\nknown as promises. Additionally, you can define a handler for what happens\nwhen an interactor violates its contracts, known as a breach.\n\nDeclaring these contracts can help define your interface and make it easier\nto understand how to use an interactor. They form both documentation and\nvalidation for your business logic.\n".freeze
  s.email = ["opensource@michaeljherold.com".freeze]
  s.homepage = "https://github.com/michaelherold/interactor-contracts".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Add contracts to your interactors".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<dry-validation>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<interactor>.freeze, ["~> 3"])
    s.add_development_dependency(%q<bundler>.freeze, ["> 1.11"])
  else
    s.add_dependency(%q<dry-validation>.freeze, ["~> 1.0"])
    s.add_dependency(%q<interactor>.freeze, ["~> 3"])
    s.add_dependency(%q<bundler>.freeze, ["> 1.11"])
  end
end
